/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.financialSupervision.modular.fsSaleRevenue.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.unis.financialSupervision.modular.fsSaleRevenueApprovalPrice.entity.FsSaleRevenueApprovalPrice;
import com.unis.financialSupervision.modular.fsSaleRevenueDiffPrice.entity.FsSaleRevenueDiffPrice;
import com.unis.financialSupervision.modular.fsSaleRevenueInspectionLoss.entity.FsSaleRevenueInspectionLoss;
import com.unis.financialSupervision.modular.fsSaleRevenueSettle.entity.FsSaleRevenueSettle;
import com.unis.financialSupervision.modular.fsSaleRevenueThreeConsistence.entity.FsSaleRevenueThreeConsistence;
import com.unis.financialSupervision.modular.fsSaleRevenueThreeConsistenceAccount.entity.FsSaleRevenueThreeConsistenceAccount;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * 销售收入上缴实体
 *
 * @author QSHan
 * @date  2024/07/29 14:04
 **/
@Getter
@Setter
@TableName("business_fs_sale_revenue")
public class FsSaleRevenue {

    /** 主键ID */
    @TableId
    @ApiModelProperty(value = "主键ID", position = 1)
    private Integer id;

    /** 创建人 */
    @ApiModelProperty(value = "创建人", position = 2)
    private String createname;

    /** 创建日期 */
    @ApiModelProperty(value = "创建日期", position = 3)
    private Date createdate;

    /** 更新人 */
    @ApiModelProperty(value = "更新人", position = 4)
    private String updatename;

    /** 更新日期 */
    @ApiModelProperty(value = "更新日期(核定时间)", position = 5)
    private Date updatedate;

    /** 上报库区；org_info的id； */
    @ApiModelProperty(value = "上报库区；org_info的id；", position = 6)
    private Integer orgId;

    /** 上报时间 */
    @ApiModelProperty(value = "上报时间", position = 7)
    private Date reportTime;

    /** 计划类型 */
    @ApiModelProperty(value = "计划类型", position = 8)
    private String planType;

    /** 销往单位 */
    @ApiModelProperty(value = "销往单位", position = 9)
    private String salesUnit;

    /** 合同编号；business_contract的ID； */
    @ApiModelProperty(value = "合同编号；business_contract的ID；", position = 10)
    private Integer contractId;

    /** 问题跟踪反馈 */
    @ApiModelProperty(value = "问题跟踪反馈", position = 11)
    private String problemFeedback;

    /** 状态 0：保存；1：库级系统-上报；2：已核定；3：省级平台-上报； */
    @ApiModelProperty(value = "状态 0：保存；1：库级系统-上报；2：已核定；3：省级平台-上报；", position = 12)
    private Integer status;

    // 只展示不保存
    @ApiModelProperty(value = "合同信息")
    @TableField(exist = false)
    private List<BusinessContractDetail> contractDetails;

    @ApiModelProperty(value = "质检损益信息")
    @TableField(exist = false)
    private List<FsSaleRevenueInspectionLoss> inspectionLossList;

    @ApiModelProperty(value = "三账一致性-会计账")
    @TableField(exist = false)
    private List<FsSaleRevenueThreeConsistenceAccount> threeConsistenceAccountList;

    @ApiModelProperty(value = "三账一致性-实际出库情况")
    @TableField(exist = false)
    private List<FsSaleRevenueThreeConsistence> threeConsistenceList;

    @ApiModelProperty(value = "结算信息")
    @TableField(exist = false)
    private List<FsSaleRevenueSettle> revenueSettleList;

    @ApiModelProperty(value = "原核定入库价格")
    @TableField(exist = false)
    private List<FsSaleRevenueApprovalPrice> approvalPriceList;

    @ApiModelProperty(value = "差额上缴")
    @TableField(exist = false)
    private List<FsSaleRevenueDiffPrice> DiffPriceList;

    @ApiModelProperty(value = "合同编号")
    @TableField(exist = false)
    private String contractNumber;

    /*@ApiModelProperty(value = "数量")
    @TableField(exist = false)
    private String grainQuantity;*/

    @ApiModelProperty(value = "结算金额")
    @TableField(exist = false)
    private String moneyQuantity;

    /*@ApiModelProperty(value = "确认数量")
    @TableField(exist = false)
    private String performanceQuantity;*/

    @ApiModelProperty(value = "企业名称")
    @TableField(exist = false)
    private String dwmc;

    @ApiModelProperty(value = "库区名称")
    @TableField(exist = false)
    private String orgName;
}
