/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.financialSupervision.modular.fsSaleRevenue.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unis.financialSupervision.modular.fsSaleRevenue.entity.FsSaleRevenue;
import com.unis.financialSupervision.modular.fsSaleRevenue.param.FsSaleRevenueAddParam;
import com.unis.financialSupervision.modular.fsSaleRevenue.param.FsSaleRevenueEditParam;
import com.unis.financialSupervision.modular.fsSaleRevenue.param.FsSaleRevenueIdParam;
import com.unis.financialSupervision.modular.fsSaleRevenue.param.FsSaleRevenuePageParam;

import java.util.List;

/**
 * 销售收入上缴Service接口
 *
 * @author QSHan
 * @date  2024/07/29 14:04
 **/
public interface FsSaleRevenueService extends IService<FsSaleRevenue> {

    /**
     * 获取销售收入上缴分页
     *
     * @author QSHan
     * @date  2024/07/29 14:04
     */
    Page<FsSaleRevenue> page(FsSaleRevenuePageParam fsSaleRevenuePageParam);

    /**
     * 编辑销售收入上缴
     *
     * @author QSHan
     * @date  2024/07/29 14:04
     */
    void edit(FsSaleRevenueEditParam fsSaleRevenueEditParam);

    /**
     * 删除销售收入上缴
     *
     * @author QSHan
     * @date  2024/07/29 14:04
     */
    void delete(List<FsSaleRevenueIdParam> fsSaleRevenueIdParamList);

    /**
     * 获取销售收入上缴详情
     *
     * @author QSHan
     * @date  2024/07/29 14:04
     */
    FsSaleRevenue detail(FsSaleRevenueIdParam fsSaleRevenueIdParam);

    /**
     * 获取销售收入上缴详情
     *
     * @author QSHan
     * @date  2024/07/29 14:04
     **/
    FsSaleRevenue queryEntity(Integer id);
}
