/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 *//*

package com.unis.financialSupervision.modular.fsSaleRevenueApprovalPrice.controller;

import cn.dev33.satoken.annotation.SaCheckPermission;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.github.xiaoymin.knife4j.annotations.ApiOperationSupport;
import com.github.xiaoymin.knife4j.annotations.ApiSupport;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;
import com.unis.common.annotation.CommonLog;
import com.unis.common.pojo.CommonResult;
import com.unis.common.pojo.CommonValidList;
import com.unis.financialSupervision.modular.fsSaleRevenueApprovalPrice.entity.FsSaleRevenueApprovalPrice;
import com.unis.financialSupervision.modular.fsSaleRevenueApprovalPrice.param.FsSaleRevenueApprovalPriceAddParam;
import com.unis.financialSupervision.modular.fsSaleRevenueApprovalPrice.param.FsSaleRevenueApprovalPriceEditParam;
import com.unis.financialSupervision.modular.fsSaleRevenueApprovalPrice.param.FsSaleRevenueApprovalPriceIdParam;
import com.unis.financialSupervision.modular.fsSaleRevenueApprovalPrice.param.FsSaleRevenueApprovalPricePageParam;
import com.unis.financialSupervision.modular.fsSaleRevenueApprovalPrice.service.FsSaleRevenueApprovalPriceService;

import javax.annotation.Resource;
import javax.validation.Valid;
import javax.validation.constraints.NotEmpty;

*/
/**
 * 销售收入上缴-原核定入库价格控制器
 *
 * @author QSHan
 * @date  2024/07/29 15:26
 *//*

@Api(tags = "销售收入上缴-原核定入库价格控制器")
@ApiSupport(author = "UNIS_TEAM", order = 1)
@RestController
@Validated
public class FsSaleRevenueApprovalPriceController {

    @Resource
    private FsSaleRevenueApprovalPriceService fsSaleRevenueApprovalPriceService;

    */
/**
     * 获取销售收入上缴-原核定入库价格分页
     *
     * @author QSHan
     * @date  2024/07/29 15:26
     *//*

    @ApiOperationSupport(order = 1)
    @ApiOperation("获取销售收入上缴-原核定入库价格分页")
    @SaCheckPermission("/financialSupervision/fsSaleRevenueApprovalPrice/page")
    @GetMapping("/financialSupervision/fsSaleRevenueApprovalPrice/page")
    public CommonResult<Page<FsSaleRevenueApprovalPrice>> page(FsSaleRevenueApprovalPricePageParam fsSaleRevenueApprovalPricePageParam) {
        return CommonResult.data(fsSaleRevenueApprovalPriceService.page(fsSaleRevenueApprovalPricePageParam));
    }

    */
/**
     * 添加销售收入上缴-原核定入库价格
     *
     * @author QSHan
     * @date  2024/07/29 15:26
     *//*

    @ApiOperationSupport(order = 2)
    @ApiOperation("添加销售收入上缴-原核定入库价格")
    @CommonLog("添加销售收入上缴-原核定入库价格")
    @SaCheckPermission("/financialSupervision/fsSaleRevenueApprovalPrice/add")
    @PostMapping("/financialSupervision/fsSaleRevenueApprovalPrice/add")
    public CommonResult<String> add(@RequestBody @Valid FsSaleRevenueApprovalPriceAddParam fsSaleRevenueApprovalPriceAddParam) {
        fsSaleRevenueApprovalPriceService.add(fsSaleRevenueApprovalPriceAddParam);
        return CommonResult.ok();
    }

    */
/**
     * 编辑销售收入上缴-原核定入库价格
     *
     * @author QSHan
     * @date  2024/07/29 15:26
     *//*

    @ApiOperationSupport(order = 3)
    @ApiOperation("编辑销售收入上缴-原核定入库价格")
    @CommonLog("编辑销售收入上缴-原核定入库价格")
    @SaCheckPermission("/financialSupervision/fsSaleRevenueApprovalPrice/edit")
    @PostMapping("/financialSupervision/fsSaleRevenueApprovalPrice/edit")
    public CommonResult<String> edit(@RequestBody @Valid FsSaleRevenueApprovalPriceEditParam fsSaleRevenueApprovalPriceEditParam) {
        fsSaleRevenueApprovalPriceService.edit(fsSaleRevenueApprovalPriceEditParam);
        return CommonResult.ok();
    }

    */
/**
     * 删除销售收入上缴-原核定入库价格
     *
     * @author QSHan
     * @date  2024/07/29 15:26
     *//*

    @ApiOperationSupport(order = 4)
    @ApiOperation("删除销售收入上缴-原核定入库价格")
    @CommonLog("删除销售收入上缴-原核定入库价格")
    @SaCheckPermission("/financialSupervision/fsSaleRevenueApprovalPrice/delete")
    @PostMapping("/financialSupervision/fsSaleRevenueApprovalPrice/delete")
    public CommonResult<String> delete(@RequestBody @Valid @NotEmpty(message = "集合不能为空")
                                                   CommonValidList<FsSaleRevenueApprovalPriceIdParam> fsSaleRevenueApprovalPriceIdParamList) {
        fsSaleRevenueApprovalPriceService.delete(fsSaleRevenueApprovalPriceIdParamList);
        return CommonResult.ok();
    }

    */
/**
     * 获取销售收入上缴-原核定入库价格详情
     *
     * @author QSHan
     * @date  2024/07/29 15:26
     *//*

    @ApiOperationSupport(order = 5)
    @ApiOperation("获取销售收入上缴-原核定入库价格详情")
    @SaCheckPermission("/financialSupervision/fsSaleRevenueApprovalPrice/detail")
    @GetMapping("/financialSupervision/fsSaleRevenueApprovalPrice/detail")
    public CommonResult<FsSaleRevenueApprovalPrice> detail(@Valid FsSaleRevenueApprovalPriceIdParam fsSaleRevenueApprovalPriceIdParam) {
        return CommonResult.data(fsSaleRevenueApprovalPriceService.detail(fsSaleRevenueApprovalPriceIdParam));
    }
}
*/
