/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.financialSupervision.modular.fsSaleRevenueApprovalPrice.entity;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 销售收入上缴-原核定入库价格实体
 *
 * @author QSHan
 * @date  2024/07/29 15:26
 **/
@Getter
@Setter
@TableName("business_fs_sale_revenue_approval_price")
public class FsSaleRevenueApprovalPrice {

    /** 主键ID */
    @TableId
    @ApiModelProperty(value = "主键ID", position = 1)
    private Integer id;

    /** 创建人 */
    @ApiModelProperty(value = "创建人", position = 2)
    private String createname;

    /** 创建日期 */
    @ApiModelProperty(value = "创建日期", position = 3)
    private Date createdate;

    /** 更新人 */
    @ApiModelProperty(value = "更新人", position = 4)
    private String updatename;

    /** 更新日期 */
    @ApiModelProperty(value = "更新日期", position = 5)
    private Date updatedate;

    /** business_fs_sale_revenue的ID； */
    @ApiModelProperty(value = "business_fs_sale_revenue的ID；", position = 6)
    private Integer fsSaleRevenueId;

    /** 原粮专卡ID；grain_situation_card的ID； */
    @ApiModelProperty(value = "原粮专卡ID；grain_situation_card的ID；", position = 7)
    private Integer grainSituationCardId;

    /** 入库金额 */
    @ApiModelProperty(value = "入库金额", position = 8)
    private BigDecimal storageAmount;

    /** 文件号 */
    @ApiModelProperty(value = "文件号", position = 9)
    private String documentNumber;

    /** 文档上传 */
    @ApiModelProperty(value = "文档上传", position = 10)
    private String documentUpload;

    @ApiModelProperty(value = "仓房名称")
    @TableField(exist = false)
    private Integer storehouseId;

    @ApiModelProperty(value = "仓房名称")
    @TableField(exist = false)
    private String storehouseName;

    @ApiModelProperty(value = "货位名称")
    @TableField(exist = false)
    private String warehouseId;

    @ApiModelProperty(value = "货位名称")
    @TableField(exist = false)
    private String warehouseName;

    @ApiModelProperty(value = "入库数量（公斤）")
    @TableField(exist = false)
    private BigDecimal lssl;

    @ApiModelProperty(value = "核定单价（元）")
    @TableField(exist = false)
    private BigDecimal inNinancialVerification;
}
