/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.financialSupervision.modular.fsSaleRevenueApprovalPrice.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unis.financialSupervision.modular.fsSaleRevenueApprovalPrice.entity.FsSaleRevenueApprovalPrice;
import com.unis.financialSupervision.modular.fsSaleRevenueApprovalPrice.param.FsSaleRevenueApprovalPriceAddParam;
import com.unis.financialSupervision.modular.fsSaleRevenueApprovalPrice.param.FsSaleRevenueApprovalPriceEditParam;
import com.unis.financialSupervision.modular.fsSaleRevenueApprovalPrice.param.FsSaleRevenueApprovalPriceIdParam;
import com.unis.financialSupervision.modular.fsSaleRevenueApprovalPrice.param.FsSaleRevenueApprovalPricePageParam;

import java.util.List;

/**
 * 销售收入上缴-原核定入库价格Service接口
 *
 * @author QSHan
 * @date  2024/07/29 15:26
 **/
public interface FsSaleRevenueApprovalPriceService extends IService<FsSaleRevenueApprovalPrice> {

    /**
     * 获取销售收入上缴-原核定入库价格分页
     *
     * @author QSHan
     * @date  2024/07/29 15:26
     */
    Page<FsSaleRevenueApprovalPrice> page(FsSaleRevenueApprovalPricePageParam fsSaleRevenueApprovalPricePageParam);

    /**
     * 添加销售收入上缴-原核定入库价格
     *
     * @author QSHan
     * @date  2024/07/29 15:26
     */
    void add(FsSaleRevenueApprovalPriceAddParam fsSaleRevenueApprovalPriceAddParam);

    /**
     * 编辑销售收入上缴-原核定入库价格
     *
     * @author QSHan
     * @date  2024/07/29 15:26
     */
    void edit(FsSaleRevenueApprovalPriceEditParam fsSaleRevenueApprovalPriceEditParam);

    /**
     * 删除销售收入上缴-原核定入库价格
     *
     * @author QSHan
     * @date  2024/07/29 15:26
     */
    void delete(List<FsSaleRevenueApprovalPriceIdParam> fsSaleRevenueApprovalPriceIdParamList);

    /**
     * 获取销售收入上缴-原核定入库价格详情
     *
     * @author QSHan
     * @date  2024/07/29 15:26
     */
    FsSaleRevenueApprovalPrice detail(FsSaleRevenueApprovalPriceIdParam fsSaleRevenueApprovalPriceIdParam);

    /**
     * 获取销售收入上缴-原核定入库价格详情
     *
     * @author QSHan
     * @date  2024/07/29 15:26
     **/
    FsSaleRevenueApprovalPrice queryEntity(Integer id);
}
