/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.financialSupervision.modular.fsSaleRevenueInspectionLoss.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unis.financialSupervision.modular.fsSaleRevenueInspectionLoss.entity.FsSaleRevenueInspectionLoss;
import com.unis.financialSupervision.modular.fsSaleRevenueInspectionLoss.param.FsSaleRevenueInspectionLossAddParam;
import com.unis.financialSupervision.modular.fsSaleRevenueInspectionLoss.param.FsSaleRevenueInspectionLossEditParam;
import com.unis.financialSupervision.modular.fsSaleRevenueInspectionLoss.param.FsSaleRevenueInspectionLossIdParam;
import com.unis.financialSupervision.modular.fsSaleRevenueInspectionLoss.param.FsSaleRevenueInspectionLossPageParam;

import java.util.List;

/**
 * 销售收入上缴-质检损益信息Service接口
 *
 * @author QSHan
 * @date  2024/07/29 15:15
 **/
public interface FsSaleRevenueInspectionLossService extends IService<FsSaleRevenueInspectionLoss> {

    /**
     * 获取销售收入上缴-质检损益信息分页
     *
     * @author QSHan
     * @date  2024/07/29 15:15
     */
    Page<FsSaleRevenueInspectionLoss> page(FsSaleRevenueInspectionLossPageParam fsSaleRevenueInspectionLossPageParam);

    /**
     * 添加销售收入上缴-质检损益信息
     *
     * @author QSHan
     * @date  2024/07/29 15:15
     */
    void add(FsSaleRevenueInspectionLossAddParam fsSaleRevenueInspectionLossAddParam);

    /**
     * 编辑销售收入上缴-质检损益信息
     *
     * @author QSHan
     * @date  2024/07/29 15:15
     */
    void edit(FsSaleRevenueInspectionLossEditParam fsSaleRevenueInspectionLossEditParam);

    /**
     * 删除销售收入上缴-质检损益信息
     *
     * @author QSHan
     * @date  2024/07/29 15:15
     */
    void delete(List<FsSaleRevenueInspectionLossIdParam> fsSaleRevenueInspectionLossIdParamList);

    /**
     * 获取销售收入上缴-质检损益信息详情
     *
     * @author QSHan
     * @date  2024/07/29 15:15
     */
    FsSaleRevenueInspectionLoss detail(FsSaleRevenueInspectionLossIdParam fsSaleRevenueInspectionLossIdParam);

    /**
     * 获取销售收入上缴-质检损益信息详情
     *
     * @author QSHan
     * @date  2024/07/29 15:15
     **/
    FsSaleRevenueInspectionLoss queryEntity(Integer id);
}
