/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 *//*

package com.unis.financialSupervision.modular.fsSaleRevenueSettle.controller;

import cn.dev33.satoken.annotation.SaCheckPermission;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.github.xiaoymin.knife4j.annotations.ApiOperationSupport;
import com.github.xiaoymin.knife4j.annotations.ApiSupport;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;
import com.unis.common.annotation.CommonLog;
import com.unis.common.pojo.CommonResult;
import com.unis.common.pojo.CommonValidList;
import com.unis.financialSupervision.modular.fsSaleRevenueSettle.entity.FsSaleRevenueSettle;
import com.unis.financialSupervision.modular.fsSaleRevenueSettle.param.FsSaleRevenueSettleAddParam;
import com.unis.financialSupervision.modular.fsSaleRevenueSettle.param.FsSaleRevenueSettleEditParam;
import com.unis.financialSupervision.modular.fsSaleRevenueSettle.param.FsSaleRevenueSettleIdParam;
import com.unis.financialSupervision.modular.fsSaleRevenueSettle.param.FsSaleRevenueSettlePageParam;
import com.unis.financialSupervision.modular.fsSaleRevenueSettle.service.FsSaleRevenueSettleService;

import javax.annotation.Resource;
import javax.validation.Valid;
import javax.validation.constraints.NotEmpty;

*/
/**
 * 销售收入上缴-结算信息控制器
 *
 * @author QSHan
 * @date  2024/07/29 15:29
 *//*

@Api(tags = "销售收入上缴-结算信息控制器")
@ApiSupport(author = "UNIS_TEAM", order = 1)
@RestController
@Validated
public class FsSaleRevenueSettleController {

    @Resource
    private FsSaleRevenueSettleService fsSaleRevenueSettleService;

    */
/**
     * 获取销售收入上缴-结算信息分页
     *
     * @author QSHan
     * @date  2024/07/29 15:29
     *//*

    @ApiOperationSupport(order = 1)
    @ApiOperation("获取销售收入上缴-结算信息分页")
    @SaCheckPermission("/financialSupervision/fsSaleRevenueSettle/page")
    @GetMapping("/financialSupervision/fsSaleRevenueSettle/page")
    public CommonResult<Page<FsSaleRevenueSettle>> page(FsSaleRevenueSettlePageParam fsSaleRevenueSettlePageParam) {
        return CommonResult.data(fsSaleRevenueSettleService.page(fsSaleRevenueSettlePageParam));
    }

    */
/**
     * 添加销售收入上缴-结算信息
     *
     * @author QSHan
     * @date  2024/07/29 15:29
     *//*

    @ApiOperationSupport(order = 2)
    @ApiOperation("添加销售收入上缴-结算信息")
    @CommonLog("添加销售收入上缴-结算信息")
    @SaCheckPermission("/financialSupervision/fsSaleRevenueSettle/add")
    @PostMapping("/financialSupervision/fsSaleRevenueSettle/add")
    public CommonResult<String> add(@RequestBody @Valid FsSaleRevenueSettleAddParam fsSaleRevenueSettleAddParam) {
        fsSaleRevenueSettleService.add(fsSaleRevenueSettleAddParam);
        return CommonResult.ok();
    }

    */
/**
     * 编辑销售收入上缴-结算信息
     *
     * @author QSHan
     * @date  2024/07/29 15:29
     *//*

    @ApiOperationSupport(order = 3)
    @ApiOperation("编辑销售收入上缴-结算信息")
    @CommonLog("编辑销售收入上缴-结算信息")
    @SaCheckPermission("/financialSupervision/fsSaleRevenueSettle/edit")
    @PostMapping("/financialSupervision/fsSaleRevenueSettle/edit")
    public CommonResult<String> edit(@RequestBody @Valid FsSaleRevenueSettleEditParam fsSaleRevenueSettleEditParam) {
        fsSaleRevenueSettleService.edit(fsSaleRevenueSettleEditParam);
        return CommonResult.ok();
    }

    */
/**
     * 删除销售收入上缴-结算信息
     *
     * @author QSHan
     * @date  2024/07/29 15:29
     *//*

    @ApiOperationSupport(order = 4)
    @ApiOperation("删除销售收入上缴-结算信息")
    @CommonLog("删除销售收入上缴-结算信息")
    @SaCheckPermission("/financialSupervision/fsSaleRevenueSettle/delete")
    @PostMapping("/financialSupervision/fsSaleRevenueSettle/delete")
    public CommonResult<String> delete(@RequestBody @Valid @NotEmpty(message = "集合不能为空")
                                                   CommonValidList<FsSaleRevenueSettleIdParam> fsSaleRevenueSettleIdParamList) {
        fsSaleRevenueSettleService.delete(fsSaleRevenueSettleIdParamList);
        return CommonResult.ok();
    }

    */
/**
     * 获取销售收入上缴-结算信息详情
     *
     * @author QSHan
     * @date  2024/07/29 15:29
     *//*

    @ApiOperationSupport(order = 5)
    @ApiOperation("获取销售收入上缴-结算信息详情")
    @SaCheckPermission("/financialSupervision/fsSaleRevenueSettle/detail")
    @GetMapping("/financialSupervision/fsSaleRevenueSettle/detail")
    public CommonResult<FsSaleRevenueSettle> detail(@Valid FsSaleRevenueSettleIdParam fsSaleRevenueSettleIdParam) {
        return CommonResult.data(fsSaleRevenueSettleService.detail(fsSaleRevenueSettleIdParam));
    }
}
*/
