/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 *//*

package com.unis.financialSupervision.modular.fsSaleRevenueThreeConsistence.controller;

import cn.dev33.satoken.annotation.SaCheckPermission;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.github.xiaoymin.knife4j.annotations.ApiOperationSupport;
import com.github.xiaoymin.knife4j.annotations.ApiSupport;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;
import com.unis.common.annotation.CommonLog;
import com.unis.common.pojo.CommonResult;
import com.unis.common.pojo.CommonValidList;
import com.unis.financialSupervision.modular.fsSaleRevenueThreeConsistence.entity.FsSaleRevenueThreeConsistence;
import com.unis.financialSupervision.modular.fsSaleRevenueThreeConsistence.param.FsSaleRevenueThreeConsistenceAddParam;
import com.unis.financialSupervision.modular.fsSaleRevenueThreeConsistence.param.FsSaleRevenueThreeConsistenceEditParam;
import com.unis.financialSupervision.modular.fsSaleRevenueThreeConsistence.param.FsSaleRevenueThreeConsistenceIdParam;
import com.unis.financialSupervision.modular.fsSaleRevenueThreeConsistence.param.FsSaleRevenueThreeConsistencePageParam;
import com.unis.financialSupervision.modular.fsSaleRevenueThreeConsistence.service.FsSaleRevenueThreeConsistenceService;

import javax.annotation.Resource;
import javax.validation.Valid;
import javax.validation.constraints.NotEmpty;

*/
/**
 * 销售收入上缴-实际出库情况控制器
 *
 * @author QSHan
 * @date  2024/07/29 15:20
 *//*

@Api(tags = "销售收入上缴-实际出库情况控制器")
@ApiSupport(author = "UNIS_TEAM", order = 1)
@RestController
@Validated
public class FsSaleRevenueThreeConsistenceController {

    @Resource
    private FsSaleRevenueThreeConsistenceService fsSaleRevenueThreeConsistenceService;

    */
/**
     * 获取销售收入上缴-实际出库情况分页
     *
     * @author QSHan
     * @date  2024/07/29 15:20
     *//*

    @ApiOperationSupport(order = 1)
    @ApiOperation("获取销售收入上缴-实际出库情况分页")
    @SaCheckPermission("/financialSupervision/fsSaleRevenueThreeConsistence/page")
    @GetMapping("/financialSupervision/fsSaleRevenueThreeConsistence/page")
    public CommonResult<Page<FsSaleRevenueThreeConsistence>> page(FsSaleRevenueThreeConsistencePageParam fsSaleRevenueThreeConsistencePageParam) {
        return CommonResult.data(fsSaleRevenueThreeConsistenceService.page(fsSaleRevenueThreeConsistencePageParam));
    }

    */
/**
     * 添加销售收入上缴-实际出库情况
     *
     * @author QSHan
     * @date  2024/07/29 15:20
     *//*

    @ApiOperationSupport(order = 2)
    @ApiOperation("添加销售收入上缴-实际出库情况")
    @CommonLog("添加销售收入上缴-实际出库情况")
    @SaCheckPermission("/financialSupervision/fsSaleRevenueThreeConsistence/add")
    @PostMapping("/financialSupervision/fsSaleRevenueThreeConsistence/add")
    public CommonResult<String> add(@RequestBody @Valid FsSaleRevenueThreeConsistenceAddParam fsSaleRevenueThreeConsistenceAddParam) {
        fsSaleRevenueThreeConsistenceService.add(fsSaleRevenueThreeConsistenceAddParam);
        return CommonResult.ok();
    }

    */
/**
     * 编辑销售收入上缴-实际出库情况
     *
     * @author QSHan
     * @date  2024/07/29 15:20
     *//*

    @ApiOperationSupport(order = 3)
    @ApiOperation("编辑销售收入上缴-实际出库情况")
    @CommonLog("编辑销售收入上缴-实际出库情况")
    @SaCheckPermission("/financialSupervision/fsSaleRevenueThreeConsistence/edit")
    @PostMapping("/financialSupervision/fsSaleRevenueThreeConsistence/edit")
    public CommonResult<String> edit(@RequestBody @Valid FsSaleRevenueThreeConsistenceEditParam fsSaleRevenueThreeConsistenceEditParam) {
        fsSaleRevenueThreeConsistenceService.edit(fsSaleRevenueThreeConsistenceEditParam);
        return CommonResult.ok();
    }

    */
/**
     * 删除销售收入上缴-实际出库情况
     *
     * @author QSHan
     * @date  2024/07/29 15:20
     *//*

    @ApiOperationSupport(order = 4)
    @ApiOperation("删除销售收入上缴-实际出库情况")
    @CommonLog("删除销售收入上缴-实际出库情况")
    @SaCheckPermission("/financialSupervision/fsSaleRevenueThreeConsistence/delete")
    @PostMapping("/financialSupervision/fsSaleRevenueThreeConsistence/delete")
    public CommonResult<String> delete(@RequestBody @Valid @NotEmpty(message = "集合不能为空")
                                                   CommonValidList<FsSaleRevenueThreeConsistenceIdParam> fsSaleRevenueThreeConsistenceIdParamList) {
        fsSaleRevenueThreeConsistenceService.delete(fsSaleRevenueThreeConsistenceIdParamList);
        return CommonResult.ok();
    }

    */
/**
     * 获取销售收入上缴-实际出库情况详情
     *
     * @author QSHan
     * @date  2024/07/29 15:20
     *//*

    @ApiOperationSupport(order = 5)
    @ApiOperation("获取销售收入上缴-实际出库情况详情")
    @SaCheckPermission("/financialSupervision/fsSaleRevenueThreeConsistence/detail")
    @GetMapping("/financialSupervision/fsSaleRevenueThreeConsistence/detail")
    public CommonResult<FsSaleRevenueThreeConsistence> detail(@Valid FsSaleRevenueThreeConsistenceIdParam fsSaleRevenueThreeConsistenceIdParam) {
        return CommonResult.data(fsSaleRevenueThreeConsistenceService.detail(fsSaleRevenueThreeConsistenceIdParam));
    }
}
*/
