/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 *//*

package com.unis.financialSupervision.modular.fsSaleRevenueThreeConsistenceAccount.controller;

import cn.dev33.satoken.annotation.SaCheckPermission;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.github.xiaoymin.knife4j.annotations.ApiOperationSupport;
import com.github.xiaoymin.knife4j.annotations.ApiSupport;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;
import com.unis.common.annotation.CommonLog;
import com.unis.common.pojo.CommonResult;
import com.unis.common.pojo.CommonValidList;
import com.unis.financialSupervision.modular.fsSaleRevenueThreeConsistenceAccount.entity.FsSaleRevenueThreeConsistenceAccount;
import com.unis.financialSupervision.modular.fsSaleRevenueThreeConsistenceAccount.param.FsSaleRevenueThreeConsistenceAccountAddParam;
import com.unis.financialSupervision.modular.fsSaleRevenueThreeConsistenceAccount.param.FsSaleRevenueThreeConsistenceAccountEditParam;
import com.unis.financialSupervision.modular.fsSaleRevenueThreeConsistenceAccount.param.FsSaleRevenueThreeConsistenceAccountIdParam;
import com.unis.financialSupervision.modular.fsSaleRevenueThreeConsistenceAccount.param.FsSaleRevenueThreeConsistenceAccountPageParam;
import com.unis.financialSupervision.modular.fsSaleRevenueThreeConsistenceAccount.service.FsSaleRevenueThreeConsistenceAccountService;

import javax.annotation.Resource;
import javax.validation.Valid;
import javax.validation.constraints.NotEmpty;

*/
/**
 * 销售收入上缴-会计账控制器
 *
 * @author QSHan
 * @date  2024/07/29 15:23
 *//*

@Api(tags = "销售收入上缴-会计账控制器")
@ApiSupport(author = "UNIS_TEAM", order = 1)
@RestController
@Validated
public class FsSaleRevenueThreeConsistenceAccountController {

    @Resource
    private FsSaleRevenueThreeConsistenceAccountService fsSaleRevenueThreeConsistenceAccountService;

    */
/**
     * 获取销售收入上缴-会计账分页
     *
     * @author QSHan
     * @date  2024/07/29 15:23
     *//*

    @ApiOperationSupport(order = 1)
    @ApiOperation("获取销售收入上缴-会计账分页")
    @SaCheckPermission("/financialSupervision/fsSaleRevenueThreeConsistenceAccount/page")
    @GetMapping("/financialSupervision/fsSaleRevenueThreeConsistenceAccount/page")
    public CommonResult<Page<FsSaleRevenueThreeConsistenceAccount>> page(FsSaleRevenueThreeConsistenceAccountPageParam fsSaleRevenueThreeConsistenceAccountPageParam) {
        return CommonResult.data(fsSaleRevenueThreeConsistenceAccountService.page(fsSaleRevenueThreeConsistenceAccountPageParam));
    }

    */
/**
     * 添加销售收入上缴-会计账
     *
     * @author QSHan
     * @date  2024/07/29 15:23
     *//*

    @ApiOperationSupport(order = 2)
    @ApiOperation("添加销售收入上缴-会计账")
    @CommonLog("添加销售收入上缴-会计账")
    @SaCheckPermission("/financialSupervision/fsSaleRevenueThreeConsistenceAccount/add")
    @PostMapping("/financialSupervision/fsSaleRevenueThreeConsistenceAccount/add")
    public CommonResult<String> add(@RequestBody @Valid FsSaleRevenueThreeConsistenceAccountAddParam fsSaleRevenueThreeConsistenceAccountAddParam) {
        fsSaleRevenueThreeConsistenceAccountService.add(fsSaleRevenueThreeConsistenceAccountAddParam);
        return CommonResult.ok();
    }

    */
/**
     * 编辑销售收入上缴-会计账
     *
     * @author QSHan
     * @date  2024/07/29 15:23
     *//*

    @ApiOperationSupport(order = 3)
    @ApiOperation("编辑销售收入上缴-会计账")
    @CommonLog("编辑销售收入上缴-会计账")
    @SaCheckPermission("/financialSupervision/fsSaleRevenueThreeConsistenceAccount/edit")
    @PostMapping("/financialSupervision/fsSaleRevenueThreeConsistenceAccount/edit")
    public CommonResult<String> edit(@RequestBody @Valid FsSaleRevenueThreeConsistenceAccountEditParam fsSaleRevenueThreeConsistenceAccountEditParam) {
        fsSaleRevenueThreeConsistenceAccountService.edit(fsSaleRevenueThreeConsistenceAccountEditParam);
        return CommonResult.ok();
    }

    */
/**
     * 删除销售收入上缴-会计账
     *
     * @author QSHan
     * @date  2024/07/29 15:23
     *//*

    @ApiOperationSupport(order = 4)
    @ApiOperation("删除销售收入上缴-会计账")
    @CommonLog("删除销售收入上缴-会计账")
    @SaCheckPermission("/financialSupervision/fsSaleRevenueThreeConsistenceAccount/delete")
    @PostMapping("/financialSupervision/fsSaleRevenueThreeConsistenceAccount/delete")
    public CommonResult<String> delete(@RequestBody @Valid @NotEmpty(message = "集合不能为空")
                                                   CommonValidList<FsSaleRevenueThreeConsistenceAccountIdParam> fsSaleRevenueThreeConsistenceAccountIdParamList) {
        fsSaleRevenueThreeConsistenceAccountService.delete(fsSaleRevenueThreeConsistenceAccountIdParamList);
        return CommonResult.ok();
    }

    */
/**
     * 获取销售收入上缴-会计账详情
     *
     * @author QSHan
     * @date  2024/07/29 15:23
     *//*

    @ApiOperationSupport(order = 5)
    @ApiOperation("获取销售收入上缴-会计账详情")
    @SaCheckPermission("/financialSupervision/fsSaleRevenueThreeConsistenceAccount/detail")
    @GetMapping("/financialSupervision/fsSaleRevenueThreeConsistenceAccount/detail")
    public CommonResult<FsSaleRevenueThreeConsistenceAccount> detail(@Valid FsSaleRevenueThreeConsistenceAccountIdParam fsSaleRevenueThreeConsistenceAccountIdParam) {
        return CommonResult.data(fsSaleRevenueThreeConsistenceAccountService.detail(fsSaleRevenueThreeConsistenceAccountIdParam));
    }
}
*/
