/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.financialSupervision.modular.fsSaleRevenueThreeConsistenceAccount.entity;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 销售收入上缴-会计账实体
 *
 * @author QSHan
 * @date  2024/07/29 15:23
 **/
@Getter
@Setter
@TableName("business_fs_sale_revenue_three_consistence_account")
public class FsSaleRevenueThreeConsistenceAccount {

    /** 主键ID */
    @TableId
    @ApiModelProperty(value = "主键ID", position = 1)
    private Integer id;

    /** 创建人 */
    @ApiModelProperty(value = "创建人", position = 2)
    private String createname;

    /** 创建日期 */
    @ApiModelProperty(value = "创建日期", position = 3)
    private Date createdate;

    /** 更新人 */
    @ApiModelProperty(value = "更新人", position = 4)
    private String updatename;

    /** 更新日期 */
    @ApiModelProperty(value = "更新日期", position = 5)
    private Date updatedate;

    /** business_fs_sale_revenue的ID */
    @ApiModelProperty(value = "business_fs_sale_revenue的ID", position = 6)
    private Integer fsSaleRevenueId;

    /** 年 */
    @ApiModelProperty(value = "年", position = 7)
    private Date year;

    /** 月份 */
    @ApiModelProperty(value = "月份", position = 8)
    private String month;

    /** 会计账-数量，单位：公斤 */
    @ApiModelProperty(value = "会计账-数量，单位：公斤", position = 9)
    private BigDecimal accountingQuantity;

    /** 省平台修改-会计账-数量，单位：公斤； */
    @ApiModelProperty(value = "省平台修改-会计账-数量，单位：公斤；", position = 10)
    private BigDecimal provinceAccountingQuantity;

    /** 会计账-金额，单位：元 */
    @ApiModelProperty(value = "会计账-金额，单位：元", position = 11)
    private BigDecimal accountingAmount;

    /** 省平台修改-会计账-金额，单位：元 */
    @ApiModelProperty(value = "省平台修改-会计账-金额，单位：元", position = 12)
    private BigDecimal provinceAccountingAmount;

    @ApiModelProperty(value = "凭证号")
    @TableField(exist = false)
    private String voucherNumber;

    @ApiModelProperty(value = "销售单价(元）")
    @TableField(exist = false)
    private BigDecimal unitPrice;
}
