/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.financialSupervision.modular.fsinterestmaintain.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 财务监管-利息维护编辑参数
 *
 * @author ZeroLiYi
 * @date  2024/07/25 15:20
 **/
@Getter
@Setter
public class BusinessFsInterestMaintainEditParam {

    /** 主键ID */
    @ApiModelProperty(value = "主键ID", required = true, position = 1)
    @NotNull(message = "id不能为空")
    private Integer id;

    /** 创建人 */
    @ApiModelProperty(value = "创建人", position = 2)
    private String createname;

    /** 创建日期 */
    @ApiModelProperty(value = "创建日期", position = 3)
    private Date createdate;

    /** 更新人 */
    @ApiModelProperty(value = "更新人", position = 4)
    private String updatename;

    /** 更新日期 */
    @ApiModelProperty(value = "更新日期", position = 5)
    private Date updatedate;

    /** 粮库id；org_info的id； */
    @ApiModelProperty(value = "粮库id；org_info的id；", position = 6)
    private Integer orgId;

    /** 利息单号 */
    @ApiModelProperty(value = "利息单号", position = 7)
    private String interestBillNo;

    /** 年 */
    @ApiModelProperty(value = "年", position = 8)
    private Integer year;

    /** 月 */
    @ApiModelProperty(value = "月", position = 9)
    private Integer month;

    /** 农发行实收利息；单位：万元； */
    @ApiModelProperty(value = "农发行实收利息；单位：万元；", position = 10)
    private BigDecimal actualInterestReceived;

    /** 对其他扣款；单位：万元； */
    @ApiModelProperty(value = "对其他扣款；单位：万元；", position = 11)
    private BigDecimal otherDeduction;

    /** 备注 */
    @ApiModelProperty(value = "备注", position = 12)
    private String remark;

}
