/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.financialSupervision.modular.fsinterestmaintain.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unis.financialSupervision.modular.fsinterestmaintain.entity.BusinessFsInterestMaintain;
import com.unis.financialSupervision.modular.fsinterestmaintain.param.BusinessFsInterestMaintainAddParam;
import com.unis.financialSupervision.modular.fsinterestmaintain.param.BusinessFsInterestMaintainEditParam;
import com.unis.financialSupervision.modular.fsinterestmaintain.param.BusinessFsInterestMaintainIdParam;
import com.unis.financialSupervision.modular.fsinterestmaintain.param.BusinessFsInterestMaintainPageParam;
import com.unis.financialSupervision.modular.fsinterestsubsidysettle.entity.FsInterestSubsidySettle;


import java.util.List;

/**
 * 财务监管-利息维护Service接口
 *
 * @author ZeroLiYi
 * @date  2024/07/25 15:20
 **/
public interface BusinessFsInterestMaintainService extends IService<BusinessFsInterestMaintain> {

    /**
     * 获取财务监管-利息维护分页
     *
     * @author ZeroLiYi
     * @date  2024/07/25 15:20
     */
    Page<BusinessFsInterestMaintain> page(BusinessFsInterestMaintainPageParam businessFsInterestMaintainPageParam);

    /**
     * 添加财务监管-利息维护
     *
     * @author ZeroLiYi
     * @date  2024/07/25 15:20
     */
    void add(BusinessFsInterestMaintainAddParam businessFsInterestMaintainAddParam);

    /**
     * 编辑财务监管-利息维护
     *
     * @author ZeroLiYi
     * @date  2024/07/25 15:20
     */
    void edit(BusinessFsInterestMaintainEditParam businessFsInterestMaintainEditParam);

    /**
     * 删除财务监管-利息维护
     *
     * @author ZeroLiYi
     * @date  2024/07/25 15:20
     */
    void delete(List<BusinessFsInterestMaintainIdParam> businessFsInterestMaintainIdParamList);

    /**
     * 获取财务监管-利息维护详情
     *
     * @author ZeroLiYi
     * @date  2024/07/25 15:20
     */
    BusinessFsInterestMaintain detail(BusinessFsInterestMaintainIdParam businessFsInterestMaintainIdParam);

    /**
     * 获取财务监管-利息维护详情
     *
     * @author ZeroLiYi
     * @date  2024/07/25 15:20
     **/
    BusinessFsInterestMaintain queryEntity(Integer id);

    List<FsInterestSubsidySettle> finfByYear(Integer planYear);
}
